This is a "plugin" for the Video Disk Recorder (VDR).

Written by:                  Gerald Berwolf <genka@vdrportal.de>

Project's homepage:          http://www.vdrportal.de
Support/Board:               http://www.vdrportal.de

See the file COPYING for license information.

Description: This is a TVTV Timers Update Plugin for VDR plugin interface.

Version: 0.1.6

Englisch:

Installation:
    To Compile with VDR Version <=1.1.17 you are need to change tools.h:
    
    template<class T> inline T min(T a, T b) { return a <= b ? a : b; }
    template<class T> inline T max(T a, T b) { return a >= b ? a : b; }
    template<class T> inline int sgn(T a) { return a < 0 ? -1 : a > 0 ? 1 : 0; }
+   #ifndef __NO_VDR_SWAP
    template<class T> inline void swap(T &a, T &b) { T t = a; a = b; b = t; }
+   #endif

    VDR Version >= 1.1.18 need a no changes more.

    With Standart tools.h comming redefinition errors.
    I will send this changes to VDR Main Project Team (later ,-).
    
    You kann start it like this (only as Default Settings):
    
[ -d $PLUGIN/tvtv ]  && export TVTV=TVTV" -P'tvtv -u <user name> -p <password> -e <EMail> -t <UpdateTime (min)>' "

    -u  TVTV UserName
    -p  TVTV Password
    -e  Your EMail (Entered in TVTV Options)
    -t  UpdateTime (min)
	0 - Autoupdate OFF

    OR in Plugin Setup.
    
IMPORTANT: If you has entered data in Setup  - it will be used and not
           command line.

You can now select Any One Recorder in TVTV Options

If you want to have Nature like Main-Folder then set
"Extended File Format" to "yes" (Default "no")
    
Deutsch:

Installation:
    Um das mit der VDR Version <= 1.1.17 kompilieren zu koennen ,
    soll man zwei zeilen in tools.h einfuegen:	

    template<class T> inline T min(T a, T b) { return a <= b ? a : b; }
    template<class T> inline T max(T a, T b) { return a >= b ? a : b; }
    template<class T> inline int sgn(T a) { return a < 0 ? -1 : a > 0 ? 1 : 0; }
+   #ifndef __NO_VDR_SWAP
    template<class T> inline void swap(T &a, T &b) { T t = a; a = b; b = t; }
+   #endif

    VDR Version >= 1.1.18 braucht keine Aenderungen mehr.

    Beim starten kann man ein paar parameter mitgeben:

[ -d $PLUGIN/tvtv ]  && export TVTV=TVTV" -P'tvtv -u <user name> -p <password> -e <EMail> -t <UpdateTime (min)>' "

    -u  TVTV UserName
    -p  TVTV Password
    -e  Your EMail (Entered in TVTV Options)
    -t  UpdateTime (min)
	0 - Autoupdate OFF

    oder OSD-Setup benutzen.
WICHTIG: Wenn die Daten schon mal in OSD-Setup abgespeichert worden sind-
         werden nur diese daten beruecksichtig.

Jetzt kann man irgendein Geraet (Videorecorder) bei tvtv.de in TVTV Options
auswahlen um die information da rein zu bekommen.
Danach wird das Button "Record" sichtbar sein.

Extended File Format bedeutet, dass die Dateien werden mit
Genre als Hauptverzeichnis erstellt.
